;
; flex building
;

Area( 5 %1 %2 10 )
	PerspectiveCall( :Sub )
	ShadowCall( :Shadow )
	Jump( : )

:Sub
	Perspective
:Shadow
	mif( %4 )
		Refpoint( 2 :No_object 1 %1 %2 E= %4 V1= 10000 )
	melse
		Refpoint( 7 :No_object 1 %1 %2 V1= 10000 )
	mifend

	mif( %3 )
		RotatedCall( :Object 0 0 %3 )
	melse
		Call( :Object )
	mifend
:No_object
	Return

:Object
	Points( 0
		11 0 11		;0
		11 0 -11
		-11 0 -11
		-11 0 11

		11 72 11	;4
		11 72 -11
		-11 72 -11
		-11 72 11

		7 72 7		;8
		7 72 -7
		-7 72 -7
		-7 72 7
	
		7 82 7		;12
		7 82 -7
		-7 82 -7
		-7 82 7

		4 82 4		;16
		4 82 -4
		-4 82 -4
		-4 82 4

		4 90 4		;20
		4 90 -4
		-4 90 -4
		-4 90 4
	)

	SurfaceColor( 03 F0 )
	Poly( a 0 1 5 4 )
	Poly( a 1 2 6 5 )
	Poly( a 2 3 7 6 )
	Poly( a 3 0 4 7 )
	Poly( a 4 5 6 7 )

	Poly( a  8  9 13 12 )
	Poly( a  9 10 14 13 )
	Poly( a 10 11 15 14 )
	Poly( a 11  8 12 15 )
	Poly( a 12 13 14 15 )

	Poly( a 16 17 21 20 ) 
	Poly( a 17 18 22 21 )
	Poly( a 18 19 23 22 )
	Poly( a 19 16 20 23 )
	Poly( a 20 21 22 23 )
	Return
EndA
