;
;	Nagoya TV Tower
;
Area( 5 N35:10:07.8 E136:54:40.4 25 )
    PerspectiveCall( :T1 )
    ShadowCall( :Shadow )
    Jump( : )

:T1
    Perspective
:Shadow
    RefPoint( 7  :T11 1  N35:10:07.8  E136:54:40.4 )
    RotatedCall( :T12 0 0 355 )
:T11
    Return

:T12
    Points( 0
	; foot point
	 30 0  30	;0
	 30 0 -30
	-30 0 -30
	-30 0  30
	; under lower floor connect point
	 18 30  18	;4
	 18 30 -18
	-18 30 -18
	-18 30  18
	; lower floor point
	 22 30  22	;8
	 22 30 -22
	-22 30 -22
	-22 30  22
	 23 40  23	;12
	 23 40 -23
	-23 40 -23
	-23 40  23
 	; on lower floor connect point
	 15 40  15	;16
	 15 40 -15
	-15 40 -15
	-15 40  15
 	; midium structure connect point
	 9 70  9	;20
	 9 70 -9
	-9 70 -9
	-9 70  9
 	; under upper floor connect point
	 7 90  7	;24
	 7 90 -7
	-7 90 -7
	-7 90  7
 	; upper floor point
	 10 90  10	;28
	 10 90 -10
	-10 90 -10
	-10 90  10
	 10 100  10	;32
	 10 100 -10
	-10 100 -10
	-10 100  10
	; top structure point
	 5 100  5	;36
	 5 100 -5
	-5 100 -5
	-5 100  5
	0 150 0		; 40
	0 180 0		; 41
	)

	IfVarRange( :in_day 28C 2 4 )
	LineColor( 13 F0 )
	SurfaceColor( 13 F0 )
;	LineColor( 12 F0 )
;	SurfaceColor( 12 F0 )
	Jump( :start_tower )
:in_day
	LineColor( 03 F0 )
    	SurfaceColor( 02 F0 )

:start_tower
	; ̈ʒuɂĕ\ςĂB
	; AF5  glue template ɑ 
	VectorJump( :p1 a 4 5 6 7 )
	VectorJump( :p2 a 16 17 18 19 )
	VectorJump( :p3 a 24 25 26 27 )
	VectorJump( :p4 a 36 37 38 39 )
:p5
	Call( :basestr )
	Call( :lowfloor )
	Call( :midstr )
	Call( :upfloor )
	Call( :topstr )
	Call( :light )
	Return

:p4
	Call( :basestr )
	Call( :lowfloor )
	Call( :midstr )
	Call( :topstr )
	Call( :upfloor )
	Call( :light )
	Return

:p3
	Call( :basestr )
	Call( :lowfloor )
	Call( :topstr )
	Call( :upfloor )
	Call( :midstr )
	Call( :light )
	Return

:p2
	Call( :basestr )
	Call( :topstr )
	Call( :upfloor )
	Call( :midstr )
	Call( :lowfloor )
	Call( :light )
	Return

:p1
	Call( :topstr )
	Call( :upfloor )
	Call( :midstr )
	Call( :lowfloor )
	Call( :basestr )
	Call( :light )
	Return

:basestr
	MoveToPt( 0 )
	DrawToPt( 4 )
	MoveToPt( 0 )
	DrawToPt( 5 )
	MoveToPt( 0 )
	DrawToPt( 7 )

	MoveToPt( 1 )
	DrawToPt( 4 )
	MoveToPt( 1 )
	DrawToPt( 5 )
	MoveToPt( 1 )
	DrawToPt( 6 )

	MoveToPt( 2 )
	DrawToPt( 5 )
	MoveToPt( 2 )
	DrawToPt( 6 )
	MoveToPt( 2 )
	DrawToPt( 7 )

	MoveToPt( 3 )
	DrawToPt( 4 )
	MoveToPt( 3 )
	DrawToPt( 6 )
	MoveToPt( 3 )
	DrawToPt( 7 )
	Return

:lowfloor
	Poly( ai 8  9 10 11 )

	Bitmap( side2.r8 0 0 0 0 )
	Inst_7D
	TexPoly( a  8 0 5  9 30 5  13 30 0  12 0 0  )
	TexPolyShading( 0 0 -32767 )
	TexPoly( a  9 0 5  10 30 5  14 30 0  13 0 0 )
	TexPolyShading( 32767 0 0 )
	TexPoly( a 10 0 5  11 30 5  15 30 0  14 0 0 )
	TexPolyShading( 0 0 32767 )
	TexPoly( a 11 0 5   8 30 5  12 30 0  15 0 0 )
	TexPolyShading( -32767 0 0 )

	Poly( a 12 13 14 15 )
    Return

:midstr
	MoveToPt( 16 )
	DrawToPt( 20 )
	DrawToPt( 24 )
	MoveToPt( 17 )
	DrawToPt( 20 )
	DrawToPt( 25 )
	MoveToPt( 19 )
	DrawToPt( 20 )
	DrawToPt( 27 )

	MoveToPt( 16 )
	DrawToPt( 21 )
	DrawToPt( 24 )
	MoveToPt( 17 )
	DrawToPt( 21 )
	DrawToPt( 25 )
	MoveToPt( 18 )
	DrawToPt( 21 )
	DrawToPt( 26 )

	MoveToPt( 17 )
	DrawToPt( 22 )
	DrawToPt( 25 )
	MoveToPt( 18 )
	DrawToPt( 22 )
	DrawToPt( 26 )
	MoveToPt( 19 )
	DrawToPt( 22 )
	DrawToPt( 27 )

	MoveToPt( 16 )
	DrawToPt( 23 )
	DrawToPt( 24 )
	MoveToPt( 18 )
	DrawToPt( 23 )
	DrawToPt( 26 )
	MoveToPt( 19 )
	DrawToPt( 23 )
	DrawToPt( 27 )

	MoveToPt( 20 )
	DrawToPt( 21 )
	DrawToPt( 22 )
	DrawToPt( 23 )
	Return

:upfloor
	Poly( ai 28 29 30 31 )

	Bitmap( side2.r8 0 0 0 0 )
	Inst_7D
	TexPoly( a 28 0 3  29 10 3  33 10 0  32 0 0  )
	TexPolyShading( 0 0 -32767 )
	TexPoly( a 29 0 3  30 10 3  34 10 0  33 0 0 )
	TexPolyShading( 32767 0 0 )
	TexPoly( a 30 0 3  31 10 3  35 10 0  34 0 0 )
	TexPolyShading( 0 0 32767 )
	TexPoly( a 31 0 3  28 10 3  32 10 0  35 0 0 )
	TexPolyShading( -32767 0 0 )

	Poly( a  32 33 34 35 )
	Return

:topstr
	MoveToPt( 36 )
	DrawToPt( 40 )
	DrawToPt( 37 )
	MoveToPt( 38 )
	DrawToPt( 40 )
	DrawToPt( 39 )
	MoveToPt( 40 )
	DrawToPt( 41 )
	Return

:light
	IfVarRange( :no_light 28C 2 4 )
	IfVarAnd( :no_light 282 3333 )
	LineColor( 0F F0 )
	DotPt( 41 )

:no_light
	Return

EndA


; [U[
Area( 5 N35:09:54.9 E136:54:41.8 25 )
    PerspectiveCall( :T3 )
    Jump( : )

:T3
    Perspective
    RefPoint( 7  :T4 1  N35:09:54.9 E136:54:41.8  )
    RotatedCall( :T5 0 0 355 )
:T4
    Return

:T5
    Points( 0
	0 95 390
	0 0 -400
	)

	IfVarRange( :no_laser 28C 2 4 )
	LineColor( 10 F0 )
	MoveToPt( 0 )
	DrawToPt( 1 )
:no_laser
	Return

EndA
