;
;	Nagoya Port Tower
;
Area( 5 N35:05:12.1 E136:53:02.4 10 )
    PerspectiveCall( :T1 )
;    ShadowCall( :Shadow )
    Jump( : )

:T1
    Perspective
:Shadow
    RefPoint( 7  :No_object 1  N35:05:12.1 E136:53:02.4 )
    RotatedCall( :T11 0 0 280 )
:No_object
    Return

:T11
    Points( 0
	; main body 1
  	-23 	0 	-5	;0
	 23 	0 	-5
	 23 	0  	 5
	-23 	0  	 5
 	-23 	22 	-5
	 23 	22 	-5
	 23 	22  	 5
	-23 	22  	 5

	; main body 2
 	0	22	-5	;8
	8	22	-5
	8	22 	 5
	0	22 	 5
 	0	30	-5
	8	30	-5
	8	30 	 5
	0	30 	 5
	
	; main body 3
  	-23 	30 	-5	;16
	 23 	30 	-5
	 23 	30  	 5
	-23 	30  	 5
 	-23 	35 	-5
	 23 	35 	-5
	 23 	35  	 5
	-23 	35  	 5
	
	; main body 4
 	0	35	-5	;24
	8	35	-5
	8	35 	 5
	0	35 	 5
 	0	53	-5
	8	53	-5
	8	53 	 5
	0	53 	 5

	; main body 5
  	-23 	53 	-5	;32
	 23 	53 	-5
	 23 	53  	 5
	-23 	53  	 5
 	-23 	58 	-5
	 23 	58 	-5
	 23 	58  	 5
	-23 	58  	 5

	; main body 6
 	0	58	-5	;40
	8	58	-5
	8	58 	 5
	0	58 	 5
 	0	63	-5
	8	63	-5
	8	63 	 5
	0	63 	 5

	)

	SurfaceColor( 04 F0 )

	; ̈ʒuɂĕ\ςĂB
	VectorJump( :p1 a 4 5 6 7 )
	VectorJump( :p2 a 12 13 14 15 )
	VectorJump( :p3 a 20 21 22 23 )
	VectorJump( :p4 a 28 29 30 31 )
	VectorJump( :p5 a 36 37 38 39 )

:p6
	Call( :part1 )
	Call( :part2 )
	Call( :part3 )
	Call( :part4 )
	Call( :part5 )
	Call( :part6 )
	Return

:p5
	Call( :part1 )
	Call( :part2 )
	Call( :part3 )
	Call( :part4 )
	Call( :part6 )
	Call( :part5 )
	Return

:p4
	Call( :part1 )
	Call( :part2 )
	Call( :part3 )
	Call( :part6 )
	Call( :part5 )
	Call( :part4 )
	Return

:p3
	Call( :part1 )
	Call( :part2 )
	Call( :part6 )
	Call( :part5 )
	Call( :part4 )
	Call( :part3 )
	Return

:p2
	Call( :part1 )
	Call( :part6 )
	Call( :part5 )
	Call( :part4 )
	Call( :part3 )
	Call( :part2 )
	Return

:p1
	Call( :part6 )
	Call( :part5 )
	Call( :part4 )
	Call( :part3 )
	Call( :part2 )
	Call( :part1 )
	Return

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

:part1
	Poly( a 0 1 5 4 )
	Poly( a 1 2 6 5 )
	Poly( a 2 3 7 6 )
	Poly( a 3 0 4 7 )

	Poly( a 4 5 6 7 )
	Return

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

:part2
	VectorJump( :from_xplus_p2 m 32767 0 0 0 )

:from_xminus_p2	; X ̕`
	TransformCall( :lowerpoll -19 22 0 0 0 0 0 0 0 )
	TransformCall( :lowerpoll -12 22 0 0 0 0 0 0 0 )
	TransformCall( :lowerpoll -6  22 0 0 0 0 0 0 0 )
	Call( :body2 )
	TransformCall( :lowerpoll 12 22 0 0 0 0 0 0 0 )
	TransformCall( :lowerpoll 19 22 0 0 0 0 0 0 0 )
	Return
	
:from_xplus_p2	; X ̐`
	TransformCall( :lowerpoll 19 22 0 0 0 0 0 0 0 )
	TransformCall( :lowerpoll 12 22 0 0 0 0 0 0 0 )
	Call( :body2 )
	TransformCall( :lowerpoll -6  22 0 0 0 0 0 0 0 )
	TransformCall( :lowerpoll -12 22 0 0 0 0 0 0 0 )
	TransformCall( :lowerpoll -19 22 0 0 0 0 0 0 0 )
	Return

:body2
	Poly( a  8  9 13 12 )
	Poly( a  9 10 14 13 )
	Poly( a 10 11 15 14 )
	Poly( m -32767 0 0 0  11  8 12 15 )
	Return


	
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

:part3
	Poly( a 16 17 21 20 )
	Poly( a 17 18 22 21 )
	Poly( a 18 19 23 22 )
	Poly( a 19 16 20 23 )

	Poly( a 20 21 22 23 )
	Return

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

:part4
	VectorJump( :from_xplus_p4 m 32767 0 0 0 )

:from_xminus_p4	; X ̕`
	TransformCall( :upperpoll -19 35 0 0 0 0 0 0 0 )
	TransformCall( :upperpoll -12 35 0 0 0 0 0 0 0 )
	TransformCall( :upperpoll -6  35 0 0 0 0 0 0 0 )
	Call( :body4 )
	TransformCall( :upperpoll 12 35 0 0 0 0 0 0 0 )
	TransformCall( :upperpoll 19 35 0 0 0 0 0 0 0 )
	Return
	
:from_xplus_p4	; X ̐`
	TransformCall( :upperpoll 19 35 0 0 0 0 0 0 0 )
	TransformCall( :upperpoll 12  35 0 0 0 0 0 0 0 )
	Call( :body4 )
	TransformCall( :upperpoll -6  35 0 0 0 0 0 0 0 )
	TransformCall( :upperpoll -12 35 0 0 0 0 0 0 0 )
	TransformCall( :upperpoll -19 35 0 0 0 0 0 0 0 )
	Return

:body4
	Poly( a 24 25 29 28 )
	Poly( a 25 26 30 29 )
	Poly( a 26 27 31 30 )
	Poly( m -32767 0 0 0  27 24 28 31 )
	Return

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

:part5
	Poly( a 32 33 37 36 )
	Poly( a 33 34 38 37 )
	Poly( a 34 35 39 38 )
	Poly( a 35 32 36 39 )

	Poly( a 36 37 38 39 )
	Return
	
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

:part6
	Poly( a 40 41 45 44 )
	Poly( a 41 42 46 45 )
	Poly( a 42 43 47 46 )
	Poly( m -32767 0 0 0  43 40 44 47 )

	Poly( a 44 45 46 47 )
	Return

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

:lowerpoll
	Points( 0
	; lower poll
	-1	0	-4
	 1	0	-4
	 1	0	 4
	-1	0	 4
	-1	8	-4
	 1	8	-4
	 1	8	 4
	-1	8	 4
	)

	Poly( a 0 1 5 4 )
	Poly( a 1 2 6 5 )
	Poly( a 2 3 7 6 )
	Poly( a 3 0 4 7 )
	Return

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

:upperpoll
	Points( 0
	; upper poll
	-1	0	-4
	 1	0	-4
	 1	0	 4
	-1	0	 4
	-1	18	-3
	 1	18	-3
	 1	18	 3
	-1	18	 3
	)
	
	Poly( a 0 1 5 4 )
	Poly( a 1 2 6 5 )
	Poly( a 2 3 7 6 )
	Poly( a 3 0 4 7 )
	Return


EndA
