;
;	RXJC^[ (Higashiyama sky tower)
;
Area( 5 N35:09:13.9 E136:58:54.2 25 )
    PerspectiveCall( :T1 )
    ShadowCall( :Shadow )
    Jump( : )

:T1
    Perspective
:Shadow
    RefPoint( 7  :No_object 1  N35:09:13.9 E136:58:54.2 )
    RotatedCall( :T11 0 0 355 )
:No_object
    Return

:T11
    Points( 0
	 12 0  12	;0
	 12 0 -12
	-12 0 -12
	-12 0  12

	 12 123  12	;4
	 12 123 -12
	-12 123 -12
	-12 123  12

	0 135 0		; 8
	)

;	LineColor( 00 F0 )
;	MoveToPt( 0 )
;	DrawToPt( 1 5 4 )
;	MoveToPt( 1 )
;	DrawToPt( 2 6 5 )
;	MoveToPt( 2 )
;	DrawToPt( 3 7 6 )
;	DrawToPt( 3 )
;	DrawToPt( 0 4 7 )
;	MoveToPt( 4 )
;	DrawToPt( 8 6 )
;	MoveToPt( 5 )
;	DrawToPt( 8 7 )

	IfVarRange( :in_day 28C 2 4 )
	SurfaceColor( 12 F0 )
	Jump( :draw_poly )
:in_day
	SurfaceColor( 07 F0 )
	Brightness( 100 )

:draw_poly
	Poly( a 0 1 5 4 )
	Poly( a 1 2 6 5 )
	Poly( a 2 3 7 6 )
	Poly( a 3 0 4 7 )
	Poly( a 4 5 8 )
	Poly( a 5 6 8 )
	Poly( a 6 7 8 )
	Poly( a 7 4 8 )
	
;	Bitmap( ngside.r8 0 0 0 0 )
;	Inst_7D
;	TexPoly( a 0 0 84  1 32 84  5 32 238  4 0 238 )
;	TexPolyShading( p 0 90 )
;	TexPoly( a 1 0 84  2 32 84  6 32 238  5 0 238 )
;	TexPolyShading( p 0 180 )
;	TexPoly( a 2 0 84  3 32 84  7 32 238  6 0 238 )
;	TexPolyShading( p 0 270 )
;	TexPoly( a 3 0 84  0 32 84  4 32 238  7 0 238 )
;	TexPolyShading( p 0 0 )

;	TexPoly( a 4 0 239  5 32 239  8 16 254 )
;	TexPolyShading( p 45 90 )
;	TexPoly( a 5 0 239  6 32 239  8 16 254 )
;	TexPolyShading( p 45 180 )
;	TexPoly( a 6 0 239  7 32 239  8 16 254 )
;	TexPolyShading( p 45 270 )
;	TexPoly( a 7 0 239  4 32 239  8 16 254 )
;	TexPolyShading( p 45 0 )
	
	IfVarRange( :end_draw 28C 2 4 )

	; draw lights
	LineColor( 13 F0 )
	IfVarRange( :sparselight 37E -1500 1500 )
	IfVarRange( :sparselight 386 -1500 1500 )

	;;;; dense light
	VectorJump( :southd m 0 0 32767 0 )

	;; north
	Call( :NELightD )
	Call( :NWLightD )

	VectorJump( :northwestd m 32767 0 0 0 )
	Call( :SELightD )
	Jump( :flush )

	:northwestd
	Call( :SWLightD )
	Jump( :flush )

	:southd
	Call( :SELightD )
	Call( :SWLightD )

	VectorJump( :southwestd m 32767 0 0 0 )

	Call( :NELightD )
	Jump( :flush )

	:southwestd
	Call( :NWLightD )
	Jump( :flush )
	
	;;;; sparse light
	:sparselight
	LineColor( 13 F0 )
	VectorJump( :souths m 0 0 32767 0 )

	;; north
	Call( :NELightS )
	Call( :NWLightS )

	VectorJump( :northwests m 32767 0 0 0 )
	Call( :SELightS )
	Jump( :flush )

	:northwests
	Call( :SWLightS )
	Jump( :flush )

	:souths
	Call( :SELightS )
	Call( :SWLightS )

	VectorJump( :southwests m 32767 0 0 0 )

	Call( :NELightS )
	Jump( :flush )

	:southwests
	Call( :NWLightS )

:flush	
	IfVarAnd( :end_draw 282 3333 )
	LineColor( 15 F0 )
	DotPt( 8 )
	
:end_draw
	Return

:NELightD
	DotLine(  12   0  12   12 123  12  20 )
	DotLine(  12 123  12    0 135   0   5 )
	Return

:NWLightD
	DotLine( -12   0  12  -12 123  12  20 )
	DotLine( -12 123  12    0 135   0   5 )
	Return
	

:SELightD
	DotLine(  12   0 -12   12 123 -12  20 )
	DotLine(  12 123 -12    0 135   0   5 )
	Return

:SWLightD
	DotLine( -12   0 -12  -12 123 -12  20 )
	DotLine( -12 123 -12    0 135   0   5 )
	Return

:NELightS
	DotLine(  12   0  12   12 123  12   8 )
	DotLine(  12 123  12    0 135   0   3 )
	Return

:NWLightS
	DotLine( -12   0  12  -12 123  12   8 )
	DotLine( -12 123  12    0 135   0   3 )
	Return
	

:SELightS
	DotLine(  12   0 -12   12 123 -12   8 )
	DotLine(  12 123 -12    0 135   0   3 )
	Return

:SWLightS
	DotLine( -12   0 -12  -12 123 -12   8 )
	DotLine( -12 123 -12    0 135   0   3 )
	Return

EndA
