;
;	temple
;
;	temple.scm Lat Lon Rot Scale Altitude	
;               1   2   3    %4    %5

Area( 5 %1 %2 10 )
    PerspectiveCall( :T1 )
    ShadowCall( :Shadow )
    Jump( : )

:T1
    Perspective
:Shadow
	mif ( %5 )
	    RefPoint( 2  :No_object %4 %1 %2 E= %5 )
	melse
	    RefPoint( 7  :No_object %4 %1 %2 )
	mifend
	mif( %3 )
		RotatedCall( :Object 0 0 %3 )
	melse
		Call( :Object )
	mifend
:No_object
    Return

:Object
    Points( 0
		-20 0  14	; 0
		 20 0  14
		 20 0 -14
		-20 0 -14

		-20 15  14	; 4
		 20 15  14
		 20 15 -14
		-20 15 -14

		-33 15	20	; 8
		 33 15  20
		 33 15 -20
		-33 15 -20

		-24 19  12	; 12
		 24 19  12
		 24 19 -12
		-24 19 -12
			 
		-18 31 0	; 16
		 18 31 0
	)

	SurfaceColor( 05 F0 )
	Poly( a 0 1 5 4 )
	Poly( a 1 2 6 5 )
	Poly( a 2 3 7 6 )
	Poly( a 3 0 4 7 )
	
	SurfaceColor( 01 F0 )
	Poly( a 8 9 13 12 )
	Poly( a 9 10 14 13 )
	Poly( a 10 11 15 14 )
	Poly( a 11 8 12 15 )

	Poly( a 12 13 17 16 )
	Poly( a 14 15 16 17 )

	Poly( a 13 14 17 )
	Poly( a 15 12 16 )

	Return

EndA
