;
; zrJgbN (Nunoike catholic church)
;

;  argument:  lat lon rot alt
;              1   2   3   4

Area( 5 %1 %2 10 )
	PerspectiveCall( :Sub )
	ShadowCall( :Shadow )
	Jump( : )

:Sub
	Perspective
:Shadow
	mif( %4 )
		Refpoint( 2 :No_object 1.5 %1 %2 E= %4 V1= 10000 )
	melse
		Refpoint( 7 :No_object 1.5 %1 %2 V1= 10000 )
	mifend

	mif( %3 )
		RotatedCall( :Object 0 0 %3 )
	melse
		Call( :Object )
	mifend
:No_object
	Return
		
:Object
	Points( 0
		8 0 -20		; 0 [east]
		8 18 -20
		8 18 -18
		8 10 -18
		8 10 20
		8 0 20
		6 12 -20
		6 18 -20
		6 18 -18
		6 12 -18

		-8 0 -20	; 10 [west]
		-8 18 -20
		-8 18 -18
		-8 10 -18
		-8 10 20
		-8 0 20
		-6 12 -20
		-6 18 -20
		-6 18 -18
		-6 12 -18

		0 18 -20	; 20 [top]
		0 18 20

		7 24 -19	; 22 [tower top]
		-7 24 -19

		2 0 -20		; 24 [door]
		2 10 -20
		0 12 -20
		-2 10 -20
		-2 0 -20
	)

	SurfaceColor( 0B F0 )

	VectorJump( :fromnorth a 2 3 9 8 )

	; from south
	Call( :roof )
	Call( :tower )
	Jump( :other )

:fromnorth
	Call( :tower )
	Call( :roof )
	
:other
	; side
	ConcavePoly
	Poly( a   0  1  2  3  4  5 )
	ConcavePoly
	Poly( a  10 11 12 13 14 15 )

	; front/back
	ConcavePoly
	Poly( a 0 1 7 6 20 16 17 11 10 )
	Poly( a 5 4 21 14 15 )

	SurfaceColor( 02 F0 )
	Poly( a 24 25 26 27 28 )
	Return

	; roof
:roof
	ConcavePoly
	Poly( a  3  4 21 20  6  9 )
	ConcavePoly
	Poly( a 13 14 21 20 16 19 ) 
	Return

:tower
	; tower
	Poly( ai  2  3  9  8 )
	Poly( ai 12 13 19 18 )
	Poly( ai  7  8  9  6 )
	Poly( ai 17 18 19 16 )
	Poly( a 1 2 22 )
	Poly( ai 2 8 22 )
	Poly( ai 8 7 22 )
	Poly( a 7 1 22 )

	Poly( a 11 12 23 )
	Poly( ai 12 18 23 )
	Poly( ai 18 17 23 )
	Poly( a 17 11 23 )
	Return
EndA
 