;;;
;;;  ÉV[i (Nagoya scenery) by T.Murakami
;;;

Header( 1  N35:30 N34:45  E137:15 E136:30 )
LatRange(  N30:00 N40:00 )

;Menu( Nagoya scenery ver 0.2 )
;MenuEntry( N35:08:38.2 E136:57:23.4 0 50 0 123.4 116.3 271 116.4 272 POSITION1 )

CopyRight( Takuya Murakami )

;GenIncl( nag_incl.bgl 1 N35:15 N35:00 E137:00 E136:45 N35:15 N35:00 E137:00 E136:45 )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Éw (Around Nagoya station)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; Éw(nagoya station)
include( nagsta.scm )

; ۃZ^[r(Nagoya International Center Building)
Macro( build.scm N35:10:10.4 E136:53:36.3 0 30 40 70 07 0 1F )

; É(Nagoya baseball stadium)
Macro( kyuujou.scm N35:08:38.9 E136:53:22.8 1.5 330 0 )

; d} (Matsushige koumon)
Macro( koumon.scm N35:09:03.5 E136:53:41.8 0 0 )
Macro( koumon.scm N35:09:03.5 E136:53:44.4 0 0 )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;  (Around Fushimi)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

include( fusimi.scm )

;  (Fushimi park )
include( sirakawa.scm )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; h (Around Sakae)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; Éer (Nagoya TV Tower)
include( nagtvtow.scm )

; ZgubW (Central bridge)
include( centbrg.scm )

; | (Aichi art and culture center)
include( geibun.scm )

; hӂ̃rQ (Misc buildings around sakae)
include( sakaebdg.scm )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Vh (Around Shin-Sakae)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; zrJgbN(Nunoike cathoric church)
Macro( church.scm N35:10:10.7 E136:55:37.2 5 0 )

; |pnZ^[
Macro( build.scm N35:10:10.6 E136:55:21.9 45 4 20 20 02 0 1F )

; _tbNXr (Unryuu flex building)
Macro( flex.scm N35:09:57.5 E136:55:23.3 0 0 )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; É (Nagoya castle)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; É̖x (moat of Nagoya castle)
include( ngcastle.scm )

;  (golden statue of a dolphin of Nagoya castle)
Macro( shachi.scm N35:10:55.470 E136:54:7.898 270 74 0.1 )
Macro( shachi.scm N35:10:55.139 E136:54:7.898 90  74 0.1 )

; zeÉLbX
Macro( build.scm N35:10:56.2 E136:53:54.2 350 12 20 90 05 0 1F )

; x
Macro( build.scm N35:10:40.0 E136:54:15.3 350 11 50 20 03 0 1F ) ; k
Macro( build.scm N35:10:38.3 E136:54:14.9 350 9  90 26 06 0 1F ) ; {
Macro( hellipt.scm N35:10:40.0 E136:54:15.3 350 45 ) ; helliport

Area16( N35:10:42 N35:10:39.8 E136:54:16.0 E136:54:14.6 )
	RefPoint( 2 : 1 N35:10:40.0 E136:54:15.3 E= 0 )
	SenseBorder( :
		-11  11
		 11  11
		 11 -11
		-11 -11
	)
	SetElevation( 59 )		; 14(absolute height) + 45(height)
End16

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; ߕ (Around Tsurumai)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; ߕw (Tsurumai station)
Macro( build.scm N35:09:13.9 E136:55:16.1 305 3 250 40 07 0 1F )

; ߕ (Tsurumai park)
include( turupark.scm )

; Tb|r[H (Sapporo beer plant)
Macro( build.scm N35:09:31.7 E136:55:40.3 315 4 230 80 07 0 1F )

; z[(Fukiage hall)
Macro( build.scm N35:09:20.6 E136:55:58.8 25 11 50 20 07 0 1F )
Macro( build.scm N35:09:17.8 E136:55:57.0 25 4  50 160 07 0 1F )

; d̓r
include( chuden.scm )

; Éwta@
Macro( build.scm N35:09:17.8 E136:55:26.3 30 8 150 20 05 0 1F )
Macro( build.scm N35:09:19.4 E136:55:27.3 30 8 140 18 05 0 1F )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; 퍡r (Around Chikusa/Imaike)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; w (Chikusa station)
Macro( build.scm N35:10:03.7 E136:56:02.3 305 3 250 40 07 0 1F )

; X֋ (Chikusa port office)
Macro( build.scm N35:09:58.4 E136:56:26.4 10 10 80 50 07 0 1F )

; N (Welfare pension hall)
Macro( build.scm N35:09:52.5 E136:57:01.1 350 4 100 60 06 0 1F )

; zeIpX
Macro( build.scm N35:10:6.3 E136:56:15.1 30 9 17 34 07 0 1F )

; rKXr
Macro( build.scm N35:09:56.6 E136:56:21.9 25 9 38 27 05 0 1F )

; ͍m
Macro( build.scm N35:09:56.7 E136:55:58.2 45 6 20 45 07 0 1F )

; rwr
Macro( build.scm N35:09:51.9 E136:56:55.4 20 7 27 61 06 0 1F )


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; R (Around Higashiyama)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; Éw (Nagoya university)
include( meidai.scm )

; REA (Higashiyama animal/botanical garden)
include( higpark.scm )

; RXJC^[ (Higashiyama sky tower)
include( skytow.scm )

; ϗ
Macro( ferris.scm N35:09:21.5 E136:58:41.9 25 0.8 340 )

; jet coaster
Macro( roller.scm N35:09:17.8 E136:58:44.0 25 0.6 0 )

; uOz (Hoshigaoka Mitsukosi department store)
Macro( build.scm N35:09:29.5 E136:59:12.8 330 10 70 50 00 0 1F )

; a (Heiwa park)
include( heiwa.scm )

; u{E
Macro( build.scm N35:09:27.4 E136:59:20.8 0 4 34 90 05 0 1F )

; uP&S
Macro( build.scm N35:09:25.8 E136:59:16.9 0 5 50 34 05 0 1F )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;  (Around Yagoto)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; 쉀 (Yagoto graveyard)
include( yagrei.scm )

; er (Chukyo TV tower)
Macro( tvtow.scm N35:08:36.7 E136:58:14.9 1 )

; ԕa@ (Yagoto Nippoon Red Cross hospital)
Macro( build.scm N35:08:31.0 E136:58:07.0 0 6 100 40 05 0 1F )

; ܏d
Macro( gojuu.scm N35:08:08.9 E136:57:57.7 0 0 )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;  (Around Mizuho)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;  (Mizuho park)
include( mizuhopk.scm )

; 䗤㋣Z (Mizuho athletic sport stadium)
Macro( track.scm N35:07:10.1 E136:56:49.7 1 100 0 )

; 싅 (Mizuho baseball stadium)
Macro( kyuujou.scm N35:07:15.1 E136:56:41.4 1.5 350 0 )

; És (Nagoya museum)
Macro( build.scm N35:07:58.1 E136:56:15.6 0 6 50 110 05 0 1F )

; Éswa@ (Nagoya municipal university hospital)
Macro( build.scm N35:08:09.8 E136:56:14.9 0 6 170 30 05 0 1F )
Macro( build.scm N35:08:11.5 E136:56:17.0 0 6 150 30 05 0 1F )
Macro( build.scm N35:08:08.2 E136:56:20.5 0 5 120 30 05 0 1F )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Mc (Around Atsuta)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; Mc_{ (Atsuta shrine)
include( atsuta.scm )

; ۉc (International conference hall)
Macro( build.scm N35:07:44.5 E136:54:02.3 355 6 30 80 06 0 1F )
Macro( build.scm N35:07:45.3 E136:54:04.8 315 6 30 80 06 0 1F )

; L (Central wholesale square)
Macro( build.scm N35:07:52.3 E136:53:57.2 340 4 200 80 07 0 1F )
Macro( build.scm N35:07:59.5 E136:53:57.8 20  4 230 80 07 0 1F )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; R (Around Kanayama)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; Rw (Kanayama station)
Macro( build.scm N35:08:23.5 E136:54:13.6 20 3 130 40 04 0 1F )

; s (Citizen hall)
Macro( build.scm N35:08:32.5 E136:54:17.3 0 6 70 70 06 0 1F )

; Rr
include( kanasout.scm )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; É` (Around Nagoya bay)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; É勴 (Nagoya west big bridge)
;include( bigbrg.scm )
include( westbrg.scm )
include( chuobrg.scm )
include( eastbrg.scm )

; É|[g^[ (Nagoya port tower)
include( porttow.scm )

; ɊϑDӂ ( South pole observation ship Fuji )
include( fuji.scm )

; É` ( Nagoya port aquarium )
include( aqua.scm )

; `p
Macro( build.scm N35:05:28.8 E136:52:58.9 10 8 65 28 05 0 1F )

; ϗ
Macro( ferris.scm N35:05:24.6 E136:52:50.7 25 1.0 75 )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; ] (Around Oozone)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; ]w (Oozone station)
Macro( build.scm N35:11:10.7 E136:56:24.1 95 3 250 40 07 0 1F )

; Éh[ (Nagoya dome stadium)
Macro( domstadm.scm N35:10:59.6 E136:57:01.8 1 04 0D 0 )

; OHd@É쏊 (Mitsubishi denki Nagoya plant)
Macro( build.scm N35:11:05.4 E136:56:39.2 10 5 200 80 07 0 1F )
Macro( build.scm N35:11:12.0 E136:56:40.7 10 5 200 80 07 0 1F )
Macro( build.scm N35:11:14.3 E136:56:31.4 10 5 200 80 07 0 1F )
Macro( build.scm N35:11:05.7 E136:56:29.7 10 5 200 80 07 0 1F )

; {΂ (Nihon tobacco plant)
Macro( build.scm N35:11:01.0 E136:56:50.2 10 5 200 100 07 0 1F )

; p (Tokugawa art museum)
include( tokugawa.scm )

; 
Macro( build.scm N35:10:46.5 E136:55:1.8 0 7 25 25 02 0 1F )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; ̑ (Others)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; 咹
Macro( torii.scm N35:09:54.6 E136:51:29.2 55 0 )

; rQ (Misc buildings)
include( miscbdg.scm )

;  (JR Chuo-line railway)
include( chuoline.scm )

; @ (Temples)
Macro( temple.scm N35:09:23.5 E136:54:08.8 0 0.7 0 ) ; {ω(oosu kannon shrine)
Macro( temple.scm N35:10:06.4 E136:57:28.3 0 0.7 0 ) ; ׎(nittaiji-temple)

; ̎ (My parents' home)
Macro( build.scm N35:08:38.2 E136:57:23.4 30 10 60 30 06 0 1F )

;;;;;;;;;;;;;;;;;;;;;;;
; q (Komaki)
;;;;;;;;;;;;;;;;;;;;;;;
; XJCXe[W33 (Sky Stage 33)

Macro( build.scm N35:18.20 E136:58.94 0 21 25 20 05 0 1F )

;;;;;;;;;;;;;;;;;;;;;;;
; H
;;;;;;;;;;;;;;;;;;;;;;;

; H (Roads)
include( roads.scm )

; É
include( kanjo.scm )

; ÉQ
include( kanjo2.scm )

; ÉQ
include( kkks2.scm )

; É
include( kkkanjo.scm )

; ÉR
include( kkks3.scm )

; 
include( kkapt.scm )

;;;;;;;;;;;;;;;;;;;;;;;
; ԉ
;;;;;;;;;;;;;;;;;;;;;;;

include( fw.scm )

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; _Ci~bNV[i (Dynamic Scenery)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

include( nagoya.dyn )
